Savings Plan Order Alias - Create
Create a savings plan. Learn more about permissions needed at https://go.microsoft.com/fwlink/?linkid=2215851
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/{savingsPlanOrderAliasName}?api-version=2026-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
savings
|
path | True |
string pattern: ^[a-zA-Z0-9_\-\.]+$ |
Name of the savings plan order alias |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| sku | True |
Savings plan SKU |
|
| kind |
string |
Resource provider kind |
|
| properties.appliedScopeProperties |
Properties specific to applied scope type. Not required if not applicable. |
||
| properties.appliedScopeType |
Type of the Applied Scope. |
||
| properties.billingPlan |
Represents the billing plan in ISO 8601 format. Required only for monthly billing plans. |
||
| properties.billingScopeId |
string |
Subscription that will be charged for purchasing the benefit |
|
| properties.commitment |
Commitment towards the benefit. |
||
| properties.displayName |
string |
Display name |
|
| properties.renew |
boolean |
Setting this to true will automatically purchase a new benefit on the expiration date time. |
|
| properties.term |
Represent benefit term in ISO 8601 format. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'SavingsPlanOrderAliasModel' update operation succeeded |
|
| 201 Created |
Resource 'SavingsPlanOrderAliasModel' create operation succeeded Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Savings |
|
Savings |
SavingsPlanOrderAliasCreate
Sample request
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/spAlias123?api-version=2026-06-01
{
"properties": {
"appliedScopeProperties": null,
"appliedScopeType": "Shared",
"billingPlan": "P1M",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
Sample response
{
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"kind": null,
"properties": {
"appliedScopeProperties": null,
"appliedScopeType": "Shared",
"billingPlan": "P1M",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
Azure-AsyncOperation: https://management.azure.com/Microsoft.BillingBenefits/operationResults/4e2ffff7-b331-4fcb-ab11-b5fa49368188?api-version=2021-07-01-privatepreview
Retry-After: 5
{
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"kind": null,
"properties": {
"appliedScopeProperties": null,
"appliedScopeType": "Shared",
"billingPlan": "P1M",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
SavingsPlanOrderAliasCreateSingleScope
Sample request
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/spAlias123?api-version=2026-06-01
{
"properties": {
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"benefitFilter": "clusterId/2025 H2CPU"
},
"appliedScopeType": "Single",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
Sample response
{
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"kind": null,
"properties": {
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"benefitFilter": "clusterId/2025 H2CPU"
},
"appliedScopeType": "Single",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
Azure-AsyncOperation: https://management.azure.com/Microsoft.BillingBenefits/operationResults/4e2ffff7-b331-4fcb-ab11-b5fa49368188?api-version=2021-07-01-privatepreview
Retry-After: 5
{
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"kind": null,
"properties": {
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"benefitFilter": "clusterId/2025 H2CPU"
},
"appliedScopeType": "Single",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {
"amount": 0.001,
"currencyCode": "USD",
"grain": "Hourly"
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"term": "P3Y"
},
"sku": {
"name": "Compute_Savings_Plan"
}
}
Definitions
| Name | Description |
|---|---|
|
Applied |
Properties specific to applied scope type. Not required if not applicable. |
|
Applied |
Type of the Applied Scope. |
|
Billing |
Represents the billing plan in ISO 8601 format. Required only for monthly billing plans. |
| Commitment |
Commitment towards the benefit. |
|
Commitment |
Grain. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Provisioning |
Provisioning state |
|
Resource |
|
|
Savings |
Savings plan order alias |
|
system |
Metadata pertaining to creation and last modification of the resource. |
| Term |
Represent benefit term in ISO 8601 format. |
AppliedScopeProperties
Properties specific to applied scope type. Not required if not applicable.
| Name | Type | Description |
|---|---|---|
| benefitFilter |
string |
A filter string passed to downstream services to categorize and apply usage benefits to specific resource models. Expected format: "key/value" (e.g., "contractId/2025 H2CPU"). The value is not validated by BillingBenefits and is forwarded as-is. |
| displayName |
string |
Display name |
| managementGroupId |
string |
Fully-qualified identifier of the management group where the benefit must be applied. |
| resourceGroupId |
string |
Fully-qualified identifier of the resource group. |
| subscriptionId |
string |
Fully-qualified identifier of the subscription. |
| tenantId |
string |
Tenant ID where the benefit is applied. |
AppliedScopeType
Type of the Applied Scope.
| Value | Description |
|---|---|
| Single | |
| Shared | |
| ManagementGroup |
BillingPlan
Represents the billing plan in ISO 8601 format. Required only for monthly billing plans.
| Value | Description |
|---|---|
| P1M |
Commitment
Commitment towards the benefit.
| Name | Type | Description |
|---|---|---|
| amount |
number (double) |
|
| currencyCode |
string |
The ISO 4217 3-letter currency code for the currency used by this purchase record. |
| grain |
The grain of the commitment. |
CommitmentGrain
Grain.
| Value | Description |
|---|---|
| Hourly | |
| FullTerm | |
| Unknown |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProvisioningState
Provisioning state
| Value | Description |
|---|---|
| Creating | |
| PendingBilling | |
| ConfirmedBilling | |
| Created | |
| Succeeded | |
| Cancelled | |
| Expired | |
| Failed |
ResourceSku
| Name | Type | Description |
|---|---|---|
| name |
string |
SavingsPlanOrderAliasModel
Savings plan order alias
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
|
| kind |
string |
Resource provider kind |
|
| name |
string |
The name of the resource |
|
| properties.appliedScopeProperties |
Properties specific to applied scope type. Not required if not applicable. |
||
| properties.appliedScopeType |
Type of the Applied Scope. |
||
| properties.billingPlan |
Represents the billing plan in ISO 8601 format. Required only for monthly billing plans. |
||
| properties.billingScopeId |
string |
Subscription that will be charged for purchasing the benefit |
|
| properties.commitment |
Commitment towards the benefit. |
||
| properties.displayName |
string |
Display name |
|
| properties.provisioningState |
Provisioning state |
||
| properties.renew |
boolean |
False |
Setting this to true will automatically purchase a new benefit on the expiration date time. |
| properties.savingsPlanOrderId |
string |
Identifier of the savings plan created |
|
| properties.term |
Represent benefit term in ISO 8601 format. |
||
| sku |
Savings plan SKU |
||
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
||
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
Term
Represent benefit term in ISO 8601 format.
| Value | Description |
|---|---|
| P1M | |
| P1Y | |
| P3Y | |
| P5Y |